Subject: Re: [trill] Should we adopt draft-dunbar-trill-directory-assisted-edge-05.txt as a WG document?

From: Donald Eastlake <[email-masked]>
Date: Sat, 7 Jul 2012 17:52:54 -0400

Hi Tissa,

On Tue, Jun 19, 2012 at 2:49 PM, Tissa Senevirathne (tsenevir)
<[email-masked]> wrote:
> Dear All
>
> I have some clarifications and suggestions.
>
> 1. Currently TRILL charter says the following
> "2) Development, within the TRILL protocol context, of requirements
> and specifications for broadcast/multicast (multi-destination) frame
> reduction; e.g., ARP/ND (Neighbor Discovery) reduction through use
> of the TRILL ESADI protocol."

ARP/ND is just an example of one type of multi-destination traffic and
ESADI is one mechanism that could help with ARP/ND reduction.

> I would like to propose to make this framework document a more
> generic document that address framework for "broadcast/multicast
> reduction in TRILL" and make ESADI and Directory assisted as part of
> that and also explain how they fit in to the overall framework.
> Otherwise it is kind of odd to have a framework for just one
> approach and not the other.

This document is the framework for directory assisted edge. Besides
that technique and ESADI, there is also multi-destination frame
reduction material in draft-perlman-trill-rbridge-multilevel-04.txt
Section 4.2. If someone wants to do a draft talking about the general
problems of broadcast domain scaling, multi-destination frames, and
the like, that would be fine, but that doesn't seem like this draft.

> 2. Based on the TRILL WG web page this draft has a related IPR. If
> we are proposing to move this as a framework document to the WG
> status, it is important to clarify how the IPR applies to solutions
> coming from the framework. In general sense it may not be a good
> idea to have a framework document that has IPR restrictions. Because
> framework documents are too broad in scope.

<Comments As An Individual>
I don't see how much clarification could be done without an
undersireable amount of patent discussion. Anyone who wants to can go
look at the disclosure and the international patent application and
its initial rejection by the selected international search agency, all
of which are, I believe, a matter of public record.

Some people tell me that filing a disclosure against a framework
document just "isn't done" and you should only file against more
technical documents. I have looked at RFC 3979 and don't see any basis
forthat. If you have IPR that covers any part of the ideas in a draft,
even if it is a framework draft, it looks to me like your are required
to file. As the sole inventor and personal owner of the cited
international patent application and a co-author of the draft and a
holder of the office of WG Co-Chair, it seems to me that I should be
particularly careful to file disclosures, even in cases were where it
may not be so clear I am required to.
</Comments As An Individual>

Thanks,
Donald
=============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 155 Beaver Street, Milford, MA 01757 USA
 [email-masked]

> Thanks
> Tissa
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Erik Nordmark
> Sent: Thursday, June 14, 2012 11:48 AM
> To: [email-masked]
> Subject: [trill] Should we adopt draft-dunbar-trill-directory-assisted-edge-05.txt as a WG document?
>
>
> <http://http://tools.ietf.org/html/draft-dunbar-trill-directory-assisted-edge-05>
>
> We've discussed earlier versions of this document in the WG in the past, and it seems like useful information for a technique that helps with ARP and ND scaling. It does not include any protocol changes or extensions.
>
> The document is intended as an informational document (it says "Intended
> status: Standard Track" but that is incorrect) explaining how directories can fit into TRILL.
>
> Note that there is claimed IPR associated with the draft:
> <https://datatracker.ietf.org/ipr/1788/>
>
> Please send comments to the TRILL list before June 27.
>
> Thanks,
>    Erik

---

From: Erik Nordmark <[email-masked]>
Date: Sun, 08 Jul 2012 06:24:48 -0700

Based on the discussion on the list, there is consensus to adopt this as 
an informational framework document.

The authors should make it more clear in the draft that this is the 
problem statement and the framework.

    Erik

On 6/14/12 11:48 AM, Erik Nordmark wrote:
> We've discussed earlier versions of this document in the WG in the past,
> and it seems like useful information for a technique that helps with ARP
> and ND scaling. It does not include any protocol changes or extensions.
>
> _______________________________________________
> trill mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/trill
>